nagimp(3)

NAME
nagimp - import site into OMD created by a nagexp export

SYNOPSIS
  Usage: nagimp [options] <export.tgz>

  Options:
  -h, --help                    Show this help message and exit
  -v, --verbose                 Print verbose output
  -V, --version                 Print version
      --exclude=folder          Exclude directory from macro/plugin processing
      --replace=search##replace Replace text in object config
  -dn,--disable-notifications   Import with notifications disabled
  -dh,--disable-hostchecks      Import with active hostchecks disabled
  -ds,--disable-servicechecks   Import with active servicechecks disabled
  -de,--disable-eventhandler    Import with eventhandler disabled

DESCRIPTION
This script imports a previously created export into OMD. Run this script as site user only.

OPTIONS
nagimp has the following arguments:

-h , --help
        print help and exit

-v , --verbose
        print verbose output too

-V , --version
        print version and exit

--exclude=folder
        Exclude directory from macro/plugin processing

--replace=search##replace
        Replace text in object config. Search is a regular expression. Replace value
        is seperated by '##'.

-dn , --disable-notifications
        Import with notifications disabled

-dh , --disable-hostchecks
        Import with active hostchecks disabled

-ds , --disable-servicechecks
        Import with active servicechecks disabled

-de , --disable-eventhandler
        Import with eventhandler disabled

RETURN VALUE
returns 0 on successful import or number of errors otherwise

EXAMPLES
import site into OMD

  %> nagimp /tmp/export.tgz

import and remove old LD_LIBRARY_PATH settings

  %> nagimp /tmp/export.tgz --replace="LD_LIBRARY_PATH=/opt/lib"

AUTHOR
Sven Nierlein, 2009-present, <sven@nierlein.org>